<?php



$tdatatb_aporte_fin = array();
$tdatatb_aporte_fin[".searchableFields"] = array();
$tdatatb_aporte_fin[".ShortName"] = "tb_aporte_fin";
$tdatatb_aporte_fin[".OwnerID"] = "";
$tdatatb_aporte_fin[".OriginalTable"] = "tb_aporte_fin";


$tdatatb_aporte_fin[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_aporte_fin[".originalPagesByType"] = $tdatatb_aporte_fin[".pagesByType"];
$tdatatb_aporte_fin[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_aporte_fin[".originalPages"] = $tdatatb_aporte_fin[".pages"];
$tdatatb_aporte_fin[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_aporte_fin[".originalDefaultPages"] = $tdatatb_aporte_fin[".defaultPages"];

//	field labels
$fieldLabelstb_aporte_fin = array();
$fieldToolTipstb_aporte_fin = array();
$pageTitlestb_aporte_fin = array();
$placeHolderstb_aporte_fin = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"] = array();
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"] = array();
	$pageTitlestb_aporte_fin["Portuguese(Brazil)"] = array();
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["aporteID"] = "Aporte ID";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["aporteID"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["aporteID"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["data"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["investidor"] = "Investidor";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["investidor"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["investidor"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["valor_credito"] = "Valor Credito";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["valor_credito"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["valor_credito"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["Saldo_aporte"] = "Saldo Aporte";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["Saldo_aporte"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["Saldo_aporte"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["vencimento"] = "Vencimento";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["vencimento"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["vencimento"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["quitado"] = "Quitado";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["quitado"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["quitado"] = "";
	$fieldLabelstb_aporte_fin["Portuguese(Brazil)"]["data_quitacao"] = "Data Quitacao";
	$fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]["data_quitacao"] = "";
	$placeHolderstb_aporte_fin["Portuguese(Brazil)"]["data_quitacao"] = "";
	if (count($fieldToolTipstb_aporte_fin["Portuguese(Brazil)"]))
		$tdatatb_aporte_fin[".isUseToolTips"] = true;
}


	$tdatatb_aporte_fin[".NCSearch"] = true;


	$tdatatb_aporte_fin[".scrollGridBody"] = true;

$tdatatb_aporte_fin[".shortTableName"] = "tb_aporte_fin";
$tdatatb_aporte_fin[".nSecOptions"] = 0;

$tdatatb_aporte_fin[".mainTableOwnerID"] = "";
$tdatatb_aporte_fin[".entityType"] = 0;

$tdatatb_aporte_fin[".strOriginalTableName"] = "tb_aporte_fin";

	



$tdatatb_aporte_fin[".showAddInPopup"] = false;

$tdatatb_aporte_fin[".showEditInPopup"] = false;

$tdatatb_aporte_fin[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_aporte_fin[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_aporte_fin[".listAjax"] = false;
//	temporary
$tdatatb_aporte_fin[".listAjax"] = false;

	$tdatatb_aporte_fin[".audit"] = false;

	$tdatatb_aporte_fin[".locking"] = false;


$pages = $tdatatb_aporte_fin[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_aporte_fin[".edit"] = true;
	$tdatatb_aporte_fin[".afterEditAction"] = 0;
	$tdatatb_aporte_fin[".closePopupAfterEdit"] = 1;
	$tdatatb_aporte_fin[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_aporte_fin[".add"] = true;
$tdatatb_aporte_fin[".afterAddAction"] = 0;
$tdatatb_aporte_fin[".closePopupAfterAdd"] = 1;
$tdatatb_aporte_fin[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_aporte_fin[".list"] = true;
}



$tdatatb_aporte_fin[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_aporte_fin[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_aporte_fin[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_aporte_fin[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_aporte_fin[".printFriendly"] = true;
}



$tdatatb_aporte_fin[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_aporte_fin[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_aporte_fin[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_aporte_fin[".isUseAjaxSuggest"] = true;

$tdatatb_aporte_fin[".rowHighlite"] = true;





$tdatatb_aporte_fin[".ajaxCodeSnippetAdded"] = false;

$tdatatb_aporte_fin[".buttonsAdded"] = false;

$tdatatb_aporte_fin[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_aporte_fin[".isUseTimeForSearch"] = false;


$tdatatb_aporte_fin[".badgeColor"] = "CD5C5C";


$tdatatb_aporte_fin[".allSearchFields"] = array();
$tdatatb_aporte_fin[".filterFields"] = array();
$tdatatb_aporte_fin[".requiredSearchFields"] = array();

$tdatatb_aporte_fin[".googleLikeFields"] = array();
$tdatatb_aporte_fin[".googleLikeFields"][] = "aporteID";
$tdatatb_aporte_fin[".googleLikeFields"][] = "data";
$tdatatb_aporte_fin[".googleLikeFields"][] = "investidor";
$tdatatb_aporte_fin[".googleLikeFields"][] = "valor_credito";
$tdatatb_aporte_fin[".googleLikeFields"][] = "Saldo_aporte";
$tdatatb_aporte_fin[".googleLikeFields"][] = "vencimento";
$tdatatb_aporte_fin[".googleLikeFields"][] = "quitado";
$tdatatb_aporte_fin[".googleLikeFields"][] = "data_quitacao";



$tdatatb_aporte_fin[".tableType"] = "list";

$tdatatb_aporte_fin[".printerPageOrientation"] = 0;
$tdatatb_aporte_fin[".nPrinterPageScale"] = 100;

$tdatatb_aporte_fin[".nPrinterSplitRecords"] = 40;

$tdatatb_aporte_fin[".geocodingEnabled"] = false;










$tdatatb_aporte_fin[".pageSize"] = 20;

$tdatatb_aporte_fin[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_aporte_fin[".strOrderBy"] = $tstrOrderBy;

$tdatatb_aporte_fin[".orderindexes"] = array();

$tdatatb_aporte_fin[".sqlHead"] = "SELECT aporteID,  	`data`,  	investidor,  	valor_credito,  IF(quitado =1,0,valor_credito) as Saldo_aporte,  	vencimento,  	quitado,  	data_quitacao";
$tdatatb_aporte_fin[".sqlFrom"] = "FROM tb_aporte_fin";
$tdatatb_aporte_fin[".sqlWhereExpr"] = "";
$tdatatb_aporte_fin[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_aporte_fin[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_aporte_fin[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_aporte_fin[".highlightSearchResults"] = true;

$tableKeystb_aporte_fin = array();
$tableKeystb_aporte_fin[] = "aporteID";
$tdatatb_aporte_fin[".Keys"] = $tableKeystb_aporte_fin;


$tdatatb_aporte_fin[".hideMobileList"] = array();




//	aporteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "aporteID";
	$fdata["GoodName"] = "aporteID";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","aporteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "aporteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "aporteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["aporteID"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "aporteID";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["data"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "data";
//	investidor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "investidor";
	$fdata["GoodName"] = "investidor";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","investidor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "investidor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "investidor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["investidor"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "investidor";
//	valor_credito
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "valor_credito";
	$fdata["GoodName"] = "valor_credito";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","valor_credito");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "valor_credito";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_credito";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["valor_credito"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "valor_credito";
//	Saldo_aporte
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Saldo_aporte";
	$fdata["GoodName"] = "Saldo_aporte";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","Saldo_aporte");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo_aporte";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "IF(quitado =1,0,valor_credito)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["Saldo_aporte"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "Saldo_aporte";
//	vencimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "vencimento";
	$fdata["GoodName"] = "vencimento";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","vencimento");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "vencimento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vencimento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 0;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["vencimento"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "vencimento";
//	quitado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "quitado";
	$fdata["GoodName"] = "quitado";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","quitado");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "quitado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quitado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["quitado"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "quitado";
//	data_quitacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "data_quitacao";
	$fdata["GoodName"] = "data_quitacao";
	$fdata["ownerTable"] = "tb_aporte_fin";
	$fdata["Label"] = GetFieldLabel("tb_aporte_fin","data_quitacao");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_quitacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_quitacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 0;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_aporte_fin["data_quitacao"] = $fdata;
		$tdatatb_aporte_fin[".searchableFields"][] = "data_quitacao";


$tables_data["tb_aporte_fin"]=&$tdatatb_aporte_fin;
$field_labels["tb_aporte_fin"] = &$fieldLabelstb_aporte_fin;
$fieldToolTips["tb_aporte_fin"] = &$fieldToolTipstb_aporte_fin;
$placeHolders["tb_aporte_fin"] = &$placeHolderstb_aporte_fin;
$page_titles["tb_aporte_fin"] = &$pageTitlestb_aporte_fin;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_aporte_fin"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_aporte_fin"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_aporte_fin()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "aporteID,  	`data`,  	investidor,  	valor_credito,  IF(quitado =1,0,valor_credito) as Saldo_aporte,  	vencimento,  	quitado,  	data_quitacao";
$proto0["m_strFrom"] = "FROM tb_aporte_fin";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "aporteID",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto6["m_sql"] = "aporteID";
$proto6["m_srcTableName"] = "tb_aporte_fin";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto8["m_sql"] = "`data`";
$proto8["m_srcTableName"] = "tb_aporte_fin";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "investidor",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto10["m_sql"] = "investidor";
$proto10["m_srcTableName"] = "tb_aporte_fin";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_credito",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto12["m_sql"] = "valor_credito";
$proto12["m_srcTableName"] = "tb_aporte_fin";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_CUSTOM";
$proto15["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "quitado =1"
));

$proto15["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto15["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor_credito"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "IF(quitado =1,0,valor_credito)";
$proto14["m_srcTableName"] = "tb_aporte_fin";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "Saldo_aporte";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "vencimento",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto19["m_sql"] = "vencimento";
$proto19["m_srcTableName"] = "tb_aporte_fin";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "quitado",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto21["m_sql"] = "quitado";
$proto21["m_srcTableName"] = "tb_aporte_fin";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "data_quitacao",
	"m_strTable" => "tb_aporte_fin",
	"m_srcTableName" => "tb_aporte_fin"
));

$proto23["m_sql"] = "data_quitacao";
$proto23["m_srcTableName"] = "tb_aporte_fin";
$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "tb_aporte_fin";
$proto26["m_srcTableName"] = "tb_aporte_fin";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "aporteID";
$proto26["m_columns"][] = "data";
$proto26["m_columns"][] = "investidor";
$proto26["m_columns"][] = "valor_credito";
$proto26["m_columns"][] = "vencimento";
$proto26["m_columns"][] = "quitado";
$proto26["m_columns"][] = "data_quitacao";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_sql"] = "tb_aporte_fin";
$proto25["m_alias"] = "";
$proto25["m_srcTableName"] = "tb_aporte_fin";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = false;
$proto27["m_inBrackets"] = false;
$proto27["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_aporte_fin";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_aporte_fin = createSqlQuery_tb_aporte_fin();


	
		;

								

$tdatatb_aporte_fin[".sqlquery"] = $queryData_tb_aporte_fin;

$tableEvents["tb_aporte_fin"] = new eventsBase;
$tdatatb_aporte_fin[".hasEvents"] = false;

?>